Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTabbedPaneUI.TabbedPaneLayout

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

All Implemented Interfaces:
  LayoutManager

Direct Known Subclasses:
  MetalTabbedPaneUI.TabbedPaneLayout

Enclosing class:
  BasicTabbedPaneUI

public class BasicTabbedPaneUI.TabbedPaneLayout
extends Object
implements LayoutManager

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

Constructor Summary
`BasicTabbedPaneUI.TabbedPaneLayout()`

Method Summary
`void` | `addLayoutComponent(String name, Component comp)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
`void` | `calculateLayoutInfo()`
`protected Dimension` | `calculateSize(boolean minimum)`
`protected void` | `calculateTabRects(int tabPlacement, int tabCount)`
`void` | `layoutContainer(Container parent)` Lays out the specified container.
`Dimension` | `minimumLayoutSize(Container parent)` Calculates the minimum size dimensions for the specified container, given the components it contains.
`protected void` | `normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
`protected void` | `padSelectedTab(int tabPlacement, int selectedIndex)`
`protected void` | `padTabRun(int tabPlacement, int start, int end, int max)`
`Dimension` | `preferredLayoutSize(Container parent)` Calculates the preferred size dimensions for the specified container, given the components it contains.
`protected int` | `preferredTabAreaHeight(int tabPlacement, int width)`
`protected int` | `preferredTabAreaWidth(int tabPlacement, int height)`
`void` | `removeLayoutComponent(Component comp)` Removes the specified component from the layout.
`protected void` | `rotateTabRuns(int tabPlacement, int selectedRun)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTabbedPaneUI.TabbedPaneLayout

    public BasicTabbedPaneUI.TabbedPaneLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Description copied from interface: `LayoutManager`
  If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`
  Parameters:
    `name` - the string to be associated with the component
    `comp` - the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Description copied from interface: `LayoutManager`
  Removes the specified component from the layout.

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`
  Parameters:
    `comp` - the component to be removed

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Description copied from interface: `LayoutManager`
  Calculates the preferred size dimensions for the specified container, given the components it contains.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Parameters:
    `parent` - the container to be laid out
  See Also:
    `LayoutManager.minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Description copied from interface: `LayoutManager`
  Calculates the minimum size dimensions for the specified container, given the components it contains.

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`
  Parameters:
    `parent` - the component to be laid out
  See Also:
    `LayoutManager.preferredLayoutSize(java.awt.Container)`

### calculateSize

    protected Dimension calculateSize(boolean minimum)

### preferredTabAreaHeight

    protected int preferredTabAreaHeight(int tabPlacement,
                                         int width)

### preferredTabAreaWidth

    protected int preferredTabAreaWidth(int tabPlacement,
                                        int height)

### layoutContainer

    public void layoutContainer(Container parent)

  Description copied from interface: `LayoutManager`
  Lays out the specified container.

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Parameters:
    `parent` - the container to be laid out

### calculateLayoutInfo

    public void calculateLayoutInfo()

### calculateTabRects

    protected void calculateTabRects(int tabPlacement,
                                     int tabCount)

### rotateTabRuns

    protected void rotateTabRuns(int tabPlacement,
                                 int selectedRun)

### normalizeTabRuns

    protected void normalizeTabRuns(int tabPlacement,
                                    int tabCount,
                                    int start,
                                    int max)

### padTabRun

    protected void padTabRun(int tabPlacement,
                             int start,
                             int end,
                             int max)

### padSelectedTab

    protected void padSelectedTab(int tabPlacement,
                                  int selectedIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.